# RiskModelAttributes (ARX API Documentation)

org.deidentifier.arx.risk

## Class RiskModelAttributes

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelAttributes

-     public class RiskModelAttributes
      extends java.lang.Object

  A class for analyzing attribute-related risks. Calculates alpha-distinction and alpha separation as described in R. Motwani et al. "Efficient algorithms for masking and finding quasi-identifiers" Proc. VLDB Conf., 2007.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RiskModelAttributes.QuasiIdentifierRisk` Risks associated with a certain quasi-identifier

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RiskModelAttributes.QuasiIdentifierRisk[]` | `getAttributeRisks()` Returns the quasi-identifiers, sorted by risk

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAttributeRisks

          public RiskModelAttributes.QuasiIdentifierRisk[] getAttributeRisks()

      Returns the quasi-identifiers, sorted by risk
      Returns: